import logging

from apscheduler.schedulers.background import BackgroundScheduler
from pytz import UnknownTimeZoneError, utc

logger = logging.getLogger(__name__)


try:
    logging.getLogger("apscheduler.scheduler").setLevel(logging.WARNING)
    scheduler = BackgroundScheduler()
    scheduler.start()
except UnknownTimeZoneError:
    logger.warning(
        "apscheduler could not find a timezone and is "
        "defaulting to utc. This is probably because "
        "your system timezone is not set. "
        'Set it with e.g. echo "Europe/Berlin" > '
        "/etc/timezone"
    )
    scheduler = BackgroundScheduler(timezone=utc)
    scheduler.start()
